%define kde_major_version 2
%define cups %{nil}
%define debug 0

%define qt_version 2.3.0

Version: 2.2.2
Summary: Various libraries for KDE.
Name: kdelibs
Epoch: 6
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/source/%{name}-%{version}.tar.bz2
Release: 21.EL2

Patch1: kdelibs-2.0-final.patch
Patch2: kdelibs-2.0-nodebug.patch
Patch3: klauncher-escape.patch
Patch4: kdelibs-20010205-Japanese.patch
Patch5: kdelibs-2.2.1-cookies.patch
Patch6: kdelibs-2.1-noxs.patch
Patch7: kdelibs-2.1.1-debug.patch
Patch8: kdelibs-2.1.1-cookieperms.patch
Patch10: kdelibs-2.2-ssl.patch
Patch11: kdelibs-2.1.1-path.patch
Patch14: khtml-onChange.patch
Patch15: kdelibs-2.2.1-glib.patch

# security
Patch16: post-2.2.2-kdelibs-khtml.diff
Patch17: post-2.2.2-kdelibs.diff
Patch18: post-2.2.2-kdelibs-kimgio.diff
Patch19: post-2.2.2-kdelibs-kio-2.diff
Patch20: post-2.2.2-kdelibs-kssl-2.diff
Patch21: post-2.2.2-kdelibs-http.patch
Patch22: kdelibs-2.2.2-kcookiejar.patch
Patch23: kdelibs-2.2.2-kapplication.patch
Patch24: kdelibs-2.2.2-kstandarddirs.patch
Patch25: kdelibs-2.2.2-frame-injection.patch
Patch26: kdelibs-2.2.2-short-domain-cookie.patch
Patch27: kdelibs-2.2.2-htmlframes2.patch
Patch28: kdelibs-2.2.2-CAN-2004-1165.patch
Patch29: kdelibs-2.2.2-CAN-2005-0396.patch
Patch30: kdelibs-2.2.2-khtml-overflow-CVE-2006-4811.patch

# Japanese patches
Patch100: http://www.kde.gr.jp/patch/kdelibs-2.2beta1-keditcl1-20010706.diff
Patch101: http://www.kde.gr.jp/patch/kdelibs-2.2beta1-khtml-autoencode-ja-20010708.diff

Requires: qt >= %{qt_version}
Requires: openssl

BuildPrereq: qt-devel >= %{qt_version}
BuildPrereq: flex >= 2.5.4a-13
BuildPrereq: kdoc >= %{version}
BuildPrereq: libxslt-devel >= 1.0.7
BuildPrereq: sgml-common
BuildPrereq: openjade
BuildPrereq: jadetex
BuildPrereq: docbook-dtd31-sgml
BuildPrereq: docbook-style-dsssl
BuildPrereq: perl-SGMLSpm
BuildPrereq: docbook-utils
BuildPrereq: pcre-devel
BuildPrereq: zlib-devel
BuildPrereq: openssl-devel

Obsoletes: %{name}2
Obsoletes: kdesupport

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains a variety of libraries used by
KDE, including: kdecore, the KDE core library; kdeui, a user interface
library; kfm, the file manager; khtmlw, HTML widgets; kfile, for file
access; kspell, the spelling checker; jscript, for javascript; kab,
the addressbook; kimgio, for image manipulation; and arts, for sound,
mixing, and animation.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel >= %{qt_version}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pcre-devel
Obsoletes: kdesupport-devel

%description devel
This package includes the header files you will need to compile
applications for KDE. The KDE API documentation is also included in
HTML format.

%package sound
Group: System Environment/Libraries
Summary: KDE libraries needed to support sound.
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: arts = %{epoch}:%{version}-%{release}
Requires: audiofile
Obsoletes: %{name}2-sound

%description sound
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs-sound package contains the libraries used by KDE
to support sound.

%package -n arts
Group: System Environment/Libraries
Summary: A modularized sound system for KDE.
Requires: audiofile

%description -n arts
aRts (Analog Real-Time Synthesizer) is a sound system for KDE
2.x. aRts creates and processes sound using small modules that do
certain tasks. aRts modules can create waveforms (oscillators), play
samples, filter data, add signals, perform effects like
delay/flanger/chorus, or output the data to the soundcard.

By connecting all those small modules together, you can perform
complex tasks like simulating a mixer, generating an instrument, or
playing a wave file with effects.

%package sound-devel
Group: Development/Libraries
Summary: Header files for compiling KDE sound applications.
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-devel = %{epoch}:%{version}-%{release}
Requires: %{name}-sound = %{epoch}:%{version}-%{release}
Requires: audiofile-devel
Obsoletes: %{name}2-sound-devel

%description sound-devel
This package includes the header files needed to compile applications
using the KDE sound libraries (arts and libkmid).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch1 -p1 -b .final
%if %{debug} == 0
%patch2 -p1 -b .nodebug
%patch7 -p1 -b .debug
%endif
%patch3 -p1 -b .esc
%patch4 -p1 -b .jp
%patch5 -p1 -b .cookieesc
%patch6 -p1 -b .noxs
%patch8 -p1 -b .sec
%patch11 -p1 -b .path
%patch14 -p1 -b .onChange
%patch15 -p1 -b .glib
%patch10 -p1 -b .ssl

pushd khtml/ecma
%patch16 -p0 -b .khtml
popd

%patch17 -p1 -b .sec

pushd kimgio
%patch18 -p0 -b .pdf
popd

pushd kio
%patch19 -p0 -b .sec
popd

pushd kssl
%patch20 -p0 -b .sec
popd

pushd kio/http
%patch21 -p0 -b .sec
popd

%patch22 -p1 -b .sec
%patch23 -p1 -b .sec
%patch24 -p1 -b .sec
%patch25 -p1 -b .sec
%patch26 -p1 -b .sec
%patch27 -p1 -b .sec
%patch28 -p1 -b .CAN-2004-1165
%patch29 -p1 -b .CAN-2005-0396
%patch30 -p1 -b .khtml-overflow-CVE-2006-4811

%patch100 -p1 -b .jp1
# # # patch101 -p1 -b .jp2

# Make the version number say what it should say
perl -pi -e 's,#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING "%{version}-%{release}",g' kdecore/kapp.h

make -f Makefile.cvs

# Fix some broken autogenerated files
cd arts/mcopidl
flex -oscanner.cc scanner.ll
cd ../../dcop/dcopidl
flex -oscanner.cc scanner.ll
cd ../..

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%if %{debug}
FLAGS="-O0 -DDEBUG=1"
%else
FLAGS="-DNDEBUG -UDEBUG -DNODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES -UDEBUG_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG -UCSS_STYLESHEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT -UDEBUG_DRAW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG -UJPEG_DEBUG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE -UKJS_DEBUG_MEM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES"
%endif

FLAGS="$RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new $FLAGS -D_GNU_SOURCE"

VERSION=`cat /etc/redhat-release |awk '{ print $5; }'`

autoconf

CXXFLAGS="$FLAGS" \
CFLAGS="$FLAGS" \
./configure \
   --prefix=%{prefix} \
%if "%{cups}" != ""
   --enable-cups \
%endif
   --enable-mitshm \
   --includedir=%{prefix}/include/kde \
%if "%{debug}" == "0"
   --disable-debug \
   --without-debug \
   --enable-final \
%endif
   --with-distribution="Red Hat Linux $VERSION"

make %{?_smp_mflags}

%install
unset QTDIR || : ; . /etc/profile.d/qt.sh
export DESTDIR=$RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip

FLAGS="$RPM_OPT_FLAGS -fno-rtti -fno-exceptions -fno-check-new"
CXXFLAGS="$FLAGS" \
CFLAGS="$FLAGS" \
./configure \
   --prefix=%{prefix} \
   --enable-mitshm \
   --includedir=%{prefix}/include/kde \
   --enable-static \
%if "%{debug}" == "0"
   --disable-debug \
   --without-debug \
%endif
   --disable-shared \
%ifnarch alpha
   --enable-final \
%endif
   --with-distribution="Red Hat Linux $VERSION"

pushd arts/artsc
make clean
make
install -m 644 .libs/libartsc.a $RPM_BUILD_ROOT%{prefix}/lib
popd

chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

# Generate documentation
export PATH=%{prefix}/bin:$PATH
makekdedoc=`which makekdedoc`
if [ ! -z "$makekdedoc" ]; then
  url=%{_docdir}/%{name}-devel-%{version}
  kdocdir=$RPM_BUILD_ROOT$url
  mkdir -p $kdocdir
  qt2kdoc=`which qt2kdoc`
  if [ ! -z "$qt2kdoc" ]; then
    $qt2kdoc -z -o $kdocdir/kdoc-reference $QTDIR/doc/html
  fi
  $makekdedoc --srcdir . --libdir $kdocdir/kdoc-reference --outputdir $kdocdir --url $url
fi

pushd $RPM_BUILD_ROOT%{_docdir} 
ln -sf %{name}-devel-%{version} %{name}-devel-%{kde_major_version}
popd

# Make symlinks relative
pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $i/common
		ln -sf ../common $i
	fi
done
popd

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}
install -m 644 KDE2PORTING.html $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}

# Make sure KDEDIRS and KDEDIR are set
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat >$RPM_BUILD_ROOT/etc/profile.d/kde.sh <<EOF
# Make sure KDEDIR is set
[ -z "\$KDEDIR" ] && KDEDIR="/usr"
export KDEDIR
EOF
cat >$RPM_BUILD_ROOT/etc/profile.d/kde.csh <<EOF
# Make sure KDEDIR is set
if ( \$?KDEDIR ) then
	exit
endif
setenv KDEDIR /usr
EOF
chmod 0755 $RPM_BUILD_ROOT/etc/profile.d/kde.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post sound -p /sbin/ldconfig

%postun sound -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{prefix}/bin/dcop*
%{prefix}/bin/kbuildsycoca
%{prefix}/bin/preparetips
%{prefix}/bin/imagetops
%{prefix}/bin/kcookiejar
%{prefix}/bin/kshell
%{prefix}/bin/kwrapper
%{prefix}/bin/kde*
%{prefix}/bin/kdont*
%{prefix}/bin/kio*
%{prefix}/bin/kpac_*
%{prefix}/bin/kconf_*
%{prefix}/bin/klauncher
%{prefix}/bin/kmailservice
%{prefix}/bin/lnusertemp
%{prefix}/bin/settheme
%{prefix}/bin/ksendbugmail
%{prefix}/bin/make*
%{prefix}/bin/meinproc
%{prefix}/bin/xml*
%{prefix}/bin/kdb2html
%{prefix}/bin/checkXML
%{prefix}/lib/*style.*
%{prefix}/lib/dcop*
%{prefix}/lib/kconf*
%{prefix}/lib/kbuildsycoca*
%{prefix}/lib/kcookiejar*
%{prefix}/lib/kded*
%dir %{prefix}/lib/kde2
%{prefix}/lib/kde2/*
%{prefix}/lib/kio*
%{prefix}/lib/klauncher*
%{prefix}/lib/libDCOP*
%{prefix}/lib/libkab.*
%{prefix}/lib/libkde*
%{prefix}/lib/libkfile.*
%{prefix}/lib/libkhtml*.*
%{prefix}/lib/libkio.*
%{prefix}/lib/libkjava.*
%{prefix}/lib/libkjs.*
%{prefix}/lib/libkparts.*
%{prefix}/lib/libkscreensaver.*
%{prefix}/lib/libkspell.*
%{prefix}/lib/libkssl.*
%{prefix}/lib/libksycoca.*
%{prefix}/lib/libktexteditor.*
%dir %{prefix}/share/apps
%{prefix}/share/apps/*
%dir %{prefix}/share/config
%config(noreplace) %{prefix}/share/config/*
%{prefix}/share/icons/*
%dir %{prefix}/share/mimelnk
%{prefix}/share/mimelnk/*
%dir %{prefix}/share/services
%{prefix}/share/services/*.kimgio
%{prefix}/share/services/*.protocol
%{prefix}/share/services/*.desktop
%dir %{prefix}/share/services/kded
%{prefix}/share/services/kded/*
%dir %{prefix}/share/servicetypes
%{prefix}/share/servicetypes/*
%doc %{prefix}/share/doc/HTML/*
%if "%{cups}" != ""
%{prefix}/bin/cups*
%{prefix}/lib/libcups*
%endif
%config /etc/profile.d/kde.sh
%config /etc/profile.d/kde.csh

%files devel
%defattr(-,root,root)
%dir %{prefix}/include/kde
%{prefix}/include/kde/*.h
%dir %{prefix}/include/kde/dom
%{prefix}/include/kde/dom/*
%dir %{prefix}/include/kde/kio
%{prefix}/include/kde/kio/*
%dir %{prefix}/include/kde/kjs
%{prefix}/include/kde/kjs/*
%dir %{prefix}/include/kde/kdesu
%{prefix}/include/kde/kdesu/*
%dir %{prefix}/include/kde/kparts
%{prefix}/include/kde/kparts/*
%dir %{prefix}/include/kde/kdeprint
%{prefix}/include/kde/kdeprint/*
%doc %{_docdir}/%{name}-devel-%{kde_major_version}
%dir %{_docdir}/%{name}-devel-%{version}
%doc %{_docdir}/%{name}-devel-%{version}/*

%files sound
%defattr(-,root,root)
%{prefix}/bin/knotify
%{prefix}/bin/artsmessage
%{prefix}/lib/libkmid.*
%{prefix}/lib/libqtmcop.*
%{prefix}/lib/knotify*
%{prefix}/lib/libx11globalcomm.*
%{prefix}/lib/libartskde*

%files -n arts
%defattr(-,root,root)
%dir %{prefix}/lib/mcop
%dir %{prefix}/lib/mcop/Arts
%{prefix}/lib/mcop/Arts/*
%{prefix}/lib/mcop/*.mcopclass
%{prefix}/lib/mcop/*.mcoptype
%{prefix}/bin/artscat
%{prefix}/bin/artsd*
%{prefix}/bin/artsp*
%{prefix}/bin/artss*
%{prefix}/bin/artsw*
%{prefix}/lib/libartsc*.la
%{prefix}/lib/libartsc*.so*
%{prefix}/lib/libartsdsp*.la
%{prefix}/lib/libartsdsp*.so*
%{prefix}/lib/libartsflow*.la
%{prefix}/lib/libartsflow*.so*
%{prefix}/lib/libartswav*.la
%{prefix}/lib/libartswav*.so*
%{prefix}/lib/libmcop.*
%{prefix}/lib/libmcop_mt.*
%{prefix}/lib/libsound*
%{prefix}/lib/libkmedia*

%files sound-devel
%defattr(-,root,root)
%{prefix}/bin/artsc-config
%{prefix}/bin/mcopidl
%dir %{prefix}/include/kde/arts
%{prefix}/include/kde/arts/*
%dir %{prefix}/include/kde/artsc
%{prefix}/include/kde/artsc/*
%dir %{prefix}/include/kde/libkmid
%{prefix}/include/kde/libkmid/*
%{prefix}/lib/libartsc.a

%changelog
* Mon Oct 16 2006 Than Ngo <than@redhat.com> 6:2.2.2-21.EL2
- backport patch to fix integer overflow flaw CVE-2006-4811, bz#210742
  thank to Dirk Müller

* Mon Sep 18 2006 Mike McLean <mikem@redhat.com> 6:2.2.2-20.EL2
- fix arts requires

* Sun Sep 17 2006 Mike McLean <mikem@redhat.com> 6:2.2.2-19.EL2
- fix epochs in subpackage Requires

* Fri Feb 17 2006 Than Ngo <than@redhat.com> 6:2.2.2-18
- migrated changes into the RHEL-2.1 branch

* Mon Mar 14 2005 Than Ngo <than@redhat.com> 6:2.2.2-17
- apply the patch to fix DCOP DoS, CAN-2004-1165 (#150090)

* Wed Mar 02 2005 Than Ngo <than@redhat.com> 6:2.2.2-16
- apply the patch to fix DCOP DoS, CAN-2004-1165 (#150090)

* Thu Jan 20 2005 Than Ngo <than@redhat.com> 6:2.2.2-15
- backport the patch to fix ftp kioslave command injection, CAN-2004-1165

* Tue Dec 14 2004 Than Ngo <than@redhat.com> 6:2.2.2-14
- backport the patch to fix Konqueror Window Injection Vulnerability #142510
  CAN-2004-1158,  Thanks to KDE security team

* Fri Aug 13 2004 Than Ngo <than@redhat.com> 6:2.2.2-13 
- add security patches CAN-2004-0721, CAN-2004-0746, thanks to Josh Bressers

* Tue Jul 27 2004 Than Ngo <than@redhat.com> 6:2.2.2-12
- backport for 2.2.2, temporary directory vulnerability, CAN-2004-0689

* Fri May 14 2004 Than Ngo <than@redhat.com> 6:2.2.2-11
- backport for 2.2.2, CAN-2004-0411

* Fri Feb 13 2004 Than Ngo <than@redhat.com> 6:2.2.2-10
- backport for 2.2.2, CAN-2003-0592 KDE Konqueror cookie path

* Mon Jul 14 2003 Than Ngo <than@redhat.com> 2.2.2-9
- securitiy bug - Konqueror Referer Leaking Website Authentication Credentials

* Mon Jun  2 2003 Than Ngo <than@redhat.com> 2.2.2-8
- Konqueror Embedded SSL vulnerability

* Mon Apr  7 2003 Than Ngo <than@redhat.com> 2.2.2-7
- PS/PDF file handling vulnerability

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 2.2.2-6
- fixed dependency problem with arts

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 2.2.2-5
- requires qt >= 2.3.0

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 2.2.2-4
- Multiple URL and filename vulnerabilities

* Mon Sep 30 2002 Than Ngo <than@redhat.com> 2.2.2-3
- Konqueror SSL vulnerability
- Konqueror Cross Site Scripting Vulnerability

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- Rename kra*** to kopaint

* Tue Nov 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-1
- 2.2.2

* Wed Oct 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-0.cvs20011031.1
- Fix build with current toolchain
- Update to current CVS stable branch

* Tue Sep 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.1-1
- 2.2.1

* Sat Sep  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-11
- i18n fixes
- fix desktop icon placement problem

* Mon Sep  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-10
- Real, final fix for http://www.kb.cert.org/vuls/id/476267.
  This fixes #52893

* Thu Aug 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-9
- Don't dlopen() /usr/lib/libssl.so (#52788)
- Fix up yesterday's security patch, the user should have the option to
  post the data if (s)he knows the form is ok.

* Wed Aug 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-8
- Fix up csh init script (#52787)
- Fix potential security problem in kio-http
  (http://www.kb.cert.org/vuls/id/476267)
- Fix a problem in nl/user.entities (allows kde-i18n to rebuild
  cleanly)
- Fix memory leak in KDockTab
- Fix up the reported version number

* Mon Aug 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-7
- Set KDEDIRS and KDEDIR (for legacy compatibility) (#52372)

* Sat Aug 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-6
- Move artsc-config to kdelibs-sound-devel (#52559)
- Fix possible security bug (setuid;setgid -> setgid;setuid)

* Mon Aug 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-5
- Merge HTML rendering fixes from KDE_2_2_BRANCH. We can finally display
  broken HTML like "<script>something</sCrIpt blah>" correctly

* Fri Aug 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-4
- Merge more fixes from KDE_2_2_BRANCH, this should get rid of the
  "desktop turns gray when kpersonalizer is running" bug some people
  have seen
- Fix handling of <input onChange="foo"> and <textarea onChange="foo">
  in khtml

* Thu Aug  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-3
- Own /usr/include/kde (#51198)

* Wed Aug  8 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Add some fixes from KDE_2_2_BRANCH, fixes some html rendering issues
  in Konqueror and a possible crash in arts

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove the japanese khtml patches, they break too many non-japanese web
  pages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Update, fixes <option size> handling in khtml (#50303)
- Add japanese patches

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- Add yet another build dependency (#49909)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove internal libxslt, we have the real thing
- Remove ia64 workarounds, no longer needed

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- Move artsmessage from arts to kdelibs-sound
- Update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.2
- Move libartskde from arts to kdelibs-sound

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.beta1.1
- beta 1

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010626.1
- Update
- Obsolete kdesupport, kdesupport-devel

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010516.1
- Update

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010514.1
- Fix up pcre detection in CVS
- Update, fixes "easy enter form" in Bugzilla

* Thu May 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010510.1
- Update to CVS, fix second half of bug #40087

* Fri May 04 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010503.1
- Update to CVS after fixing bugs #38894, #30575
  directly in the CVS tree

* Sun Apr 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.2
- create subpackages for MySQL and Postgres KDB plugins to avoid
  unnecessary dependencies

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1
- require pcre, pcre-devel

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-5
- Merge fixes from current KDE_2_1_BRANCH - fixes 2 memory leaks and
  makes kio_http more tolerant to broken Auth requests sent by some
  servers
- Add missing mcop{class,type} files in arts package
- Handle PATH changes in kdesu, some KControl modules need /sbin in the
  PATH... (#34209)
- Add KDE2PORTING.html file in /usr/share/docs/kdelibs-devel-%{version},
  it's quite useful...

* Thu Mar 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-3
- Fix up kded to watch directories we can't write to
- Use mkstemp() rather than tmpfile() for xauth file generation
  in kdesu

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix up cookie escaping (this should finally fix bugzilla for good)
- Security: cookies shouldn't be world readable, some websites store
  login information

* Wed Mar 21 2001 Than Ngo <than@redhat.com>
- disable debug as default

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Escape cookies when necessary

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Don't crash in KProcess if getpwuid() returns NULL, happens with
  LDAP authentication
- Require qt >= 2.3.0 (#31770)
- Fix crash in KURLCompletion

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Add some more fixes and <layer> support from KDE_2_1_BRANCH
- Patch KService to not add K menu entries if the desktop files
  aren't readable by the user we're running at (removes bogus
  timetool, control-panel etc. entries; I'd still prefer running
  those through consolehelper over hiding them from users...)

* Fri Mar  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert to putting config files in /usr/share/config
- Fix up cookie handling when combined with JavaScript (#30577)
- Add some html rendering fixes from KDE_2_1_BRANCH

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Use --disable-debug, it works with Qt 2.3.0

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add khtml+DOM fixes from KDE_2_1_BRANCH
- BuildPrereq docbook stuff so we don't get broken kdb2html stuff

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- YAR (Yet Another Respin)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Disable some more debugging (but leave -DNDEBUG out, it's broken)

* Thu Feb 15 2001 Than Ngo <than@redhat.com>
- create the kdoc-preferences for kdevelop
- put the html documents /usr/share/doc/kdelibs-devel-2

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add workaround for merging GNOME's non-UTF8 .desktop files
  in the KDE menu

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- disable debug, but patch out the CXXFLAGS change

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Back out --disable-debug change

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with --disable-debug

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 (obsolete)
- Fix the escape sequence patch (#25307)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Japanese patch from Sato Satoru <ssato@redhat.com>

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix klauncher escape sequence handling (#25307, Patch from Tim Waugh)
- Fix krun escape sequence handling (#25134, Patch from Tim Waugh)
- Make /usr/share/doc/HTML/en/kspell/common symlink relative (#24793)

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply patch from CVS to fix up Cookie handling in Konqueror.
  Finally Bugzilla works perfectly in Konqueror.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdelibs-sound-devel requires audiofile-devel, kdelibs-sound doesn't.
- Update, fixes various HTML rendering bugs

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require kdesupport >= 2.0.99 rather than >= %%{version}
  kdesupport doesn't change frequently.

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Java hacks; KDE now requires a Java 2 compliant
  environment, so there's no chance to get any of it to run
  with current kaffe.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- restore real arts %%description
- require Qt >= 2.2.3 rather than 2.2.0

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move libkmedia2_idl to arts; it's needed there
- Fix up the Java stuff. The new stuff is ugly, but seems to work
- Get rid of the compiler bug workaround: the ICE was triggered by
  unclean code
- Change the description of the arts package for translation purposes

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (sigh)
- Fix specfile (added files)
- Split arts into a separate package; it's required by SDL,
  and depending on kdelibs-sound (which requires kdelibs)
  is overkill

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify the check for an acceptable JVM to accept Kaffe

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a hack to get a static libartsc

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete kdelibs2* (from 7.0preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %post/%postun for kdelibs-sound
- Turn off optimizations on ia64

* Mon Dec 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1beta1

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Another one - fix segfaults in the spellchecker
- fix docs

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS yet again - styles crash fix

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS - security fix in Java/Javascript code.
  There seems to be some conspiracy going on - "commit important
  fixes right after Red Hat built new RPMs" or the likes. :>

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up handling of desktop files that use TryExec (Bug #20020)
  Patch also committed to KDE CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with fixed kdoc

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current KDE_2_0_BRANCH, now that most of the ".0 release"
  bugs are fixed
- fix typo in specfile: it's mitshm, not libshm
- Add ksendbugmail, required for the "Report Bug" feature to work

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final
- don't --enable-final on alpha (compiler problems)

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up specfile
- exclude alpha for now (compiler bugs)

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- major specfile cleanups
- update CVS

* Fri Sep 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move back to /usr
- New CVS snapshot
- Clean up specfile
- Use %%defines so we can build CVS snapshots and releases from the same
  specfile

* Fri Aug 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with optimizations re-enabled (Qt works around the problem now)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- don't use -DNDEBUG and -O2 on alpha,sparc to build, it breaks with Internal
  error (c++ bug)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- new snapshot

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- various fixes to spec file
- get rid of -O0, no longer required with gcc 2.96-41 (except on alpha)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- use -O0 for now (ICE)

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- Epoch 3
- Update to current

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current - segfaulting at initialization time is not a nice
  feature.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable build on ia64 for now (compiler bugs)
- FHSify

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %{prefix}/doc/kdelibs-devel-%{version}-%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Thu Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %{prefix} so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
